/*
 Theme Name:   Taylor Land + Stone theme
 Theme URI:    http://taylorlandandstone.com
 Description:  Custom theme for Taylor Land + Stone, child theme of twentyseventeen
 Author:       Madcar
 Author URI:   http://madcar.me
 Template:     twentyseventeen
 Version:      1.0.0
 Text Domain:  taylorls
*/

body.page-template-template-full-width #content #primary {
	max-width: 100%;
}

body.page-template-template-full-width #content #primary .entry-header,
body.page-template-template-full-width #content #primary .entry-content {
    float: none;
    width: 100%;
}

body.page-template-template-full-width #content #primary .entry-header {
    margin-bottom: 4em;
}

.entry-header { margin-bottom: 1em !important; }
.entry-header .entry-title { font-size: 1em !important; font-weight: 600 !important; }

.portfolio-entry:after {
	content: "";
	display: table;
	clear: both;
}

.portfolio-entry {
	width: 100%;
	overflow: hidden;
	background: #fff;
	margin: 1em 0;
}

body.page-template-template-portfolio-parent,
body.page-template-template-portfolio-parent .site-content-contain {
	background: rgba(0,0,0,0.6);
}

.page-template-template-portfolio-parent .single-featured-image-header {
	position: fixed;
	min-width: 100%;
	min-height: 100%;
	top: 0;
	left: 0;
	bottom: 0;
}

.page-template-template-portfolio-parent .single-featured-image-header img {
	min-width: 100%;
	min-height: 100%;
}

/* Header and menu small screens */

.custom-logo-link {width: 100%; padding-right: 0; text-align: center;}
.custom-logo-link a {margin: 0 auto;}

/* Contact form */
.contact-form input { font-size: 12px; }
.contact-form label, .contact-form label.radio { font-weight: 400 !important; }
input[type="text"], input[type="password"], input[type="date"], input[type="email"], input[type="search"], input[type="url"], textarea {
	-webkit-appearance: none;
	background-color: #EAEAEA;
	font-family: inherit;
	border: none;
	box-shadow: 0px 1px 0px rgba(0, 0, 0, 0.025), inset 1px 1px 2px rgba(0, 0, 0, 0.2);
	color: rgba(0, 0, 0, 0.75);
	display: block;
	font-size: 15px;
	margin: 0 0 1em 0;
	padding: 8px;
	width: 100%;
	border-radius: 3px;
}
/* Gallery */
.jp-carousel-titleanddesc-title { text-align: center; }
.tiled-gallery-item img, .tiled-gallery__item img {
	cursor: pointer;
	-webkit-transform: scale(1);
	transform: scale(1);
	-webkit-transition: .1s ease-in-out;
	transition: .1s ease-in-out;
	filter: brightness(1);
	-webkit-filter: brightness(1);
}
.tiled-gallery-item a img:hover, .tiled-gallery__item a img:hover {
	-webkit-transform: scale(0.995);
	transform: scale(0.995);
	filter: brightness(1.1);
	-webkit-filter: brightness(1.1);
	/* filter: hue-rotate(20deg); */
	/* filter: saturate(0.7); */
}
.wp-block-image a:hover { box-shadow: none; -webkit-box-shadow: none; }
.wp-block-image a:hover img { transform: scale(1.02); transition: 100ms; }

@media screen and (min-width: 48em) {

	#masthead {
		bottom: auto;
		position: fixed;
		left: 0;
		right: 0;
		top: 0;
		width: 100%;
		z-index: 7;
		/* padding-bottom: 40px; */
	}
	.has-featured-image #masthead {
		background: linear-gradient(to bottom, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.3) 150%);
		background: rgba(0,0,0,0.26);
		box-shadow: 0 -125px 110px 100px;

	}
	.admin-bar #masthead {
		top: 32px;
	}

	.navigation-top {
	  background: transparent;
	  border-bottom: 1px solid white;
	  border-top: 0;
		width: auto;
		left: 284px;
		bottom: 0.4em;
		/* bottom: 40px; */
	}
	.has-featured-image .navigation-top { bottom: 0; }

	.main-navigation .menu-item { border-bottom: 2px solid transparent; }

	.has-featured-image #masthead:not(.narrow-header) .current-menu-item,
	.has-featured-image #masthead:not(.narrow-header) .current_page_item,
	.has-featured-image #masthead:not(.narrow-header) li:last-child.current-menu-item {
		border-bottom: 2px solid white;
	}
	.main-navigation .current-menu-item, .main-navigation .current_page_item, .main-navigation li:last-child.current-menu-item {
		border-bottom: 2px solid black;
	}
	.navigation-top .current-menu-item > a, .navigation-top .current_page_item > a { color: #000; }
	.has-featured-img #masthead:not(.narrow-header) .current-menu-item > a, .has-featured-image #masthead:not(.narrow-header) .current_page_item > a {
		color: #fff;
	}
	/* .narrow-header #masthead.narrowheader .navigation-top > a { color: #000; } */
	/* .narrow-header .navigation-top .current-menu-item > a,
	.narrow-header .navigation-top .current-menu-item > a {
		color: #000;
	} */
	.has-featured-image .navigation-top a, page-template-template-portfolio-parent navigation-top a { color: #fff; }
	.navigation-top a, .narrow-header .navigation-top a { color: #000 ; }

	#site-navigation {
		padding-right: 1em;
	}

	.site-branding {
		float: left;
		line-height: 0.1;
	}
	.site-branding img { width: 250px; }
	.site-branding a { background-color: rgba(255, 255, 255, 0.8); }

	.narrow-header .site-branding { padding: 0.15em 1em; }
	.narrow-header .site-branding img { width: 160px; }
	.navigation-top { border-bottom: 1px solid black; }
	.has-featured-image .navigation-top { border-bottom: 1px solid white; }
	.narrow-header .navigation-top { bottom: 0; border-bottom: 0; }
	#masthead.narrow-header {
		background: #fff;
		background: rgba(255, 255, 255, 1);
		padding-bottom: 0;
		box-shadow: 0 -2px 25px 1px black;
	}

	/* Header animations */
	.site-branding img { transition: width 300ms 100ms; }
	#masthead {transition: background 250ms 50ms; }
	.navigation-top {
		/* -webkit-transition: -webkit-transform 1.8s ease, opacity 2.1s ease-out; */
		transition: bottom 250ms ease;
		transition-delay: 100ms;
	}

	.main-navigation {
	  background: transparent;
	  text-align: right;
	}

	.main-navigation a {
		font: 300 0.825em 'Nunitio Sans', sans-serif;
		padding: .25em 0.66em;
	}
	/* .narrow-header a {
		padding: .25em 1.25em;
	} */
	.has-featured-image #masthead:not(.narrow-header) a:hover {
		color:#fff;
	}
	.main-navigation a:hover {
		color: #000;
		transform: translate(-1px, -1px);
	}

	#top-menu {
		text-align: right;
	}

	.site-header {
		background-color: transparent;
	}

	/* .site-content { padding: 8em 0 0; } */
	/* .single-jetpack-portfolio .site-content { padding-top: 2em; } */

	.portfolio-entry section {
		width: 50%;
		float: left;
		height: 100%;
		background-size: cover;
		background-repeat: no-repeat;
		background-position: center;
	}

	.portfolio-entry .entry-info {
		float: right;
		padding: 1em;
	}

	.portfolio-entry {
		height: 300px;
	}

}


/* Gutenberg related styles */

/* Button styles */

.has-green-background-color { background-color: #558939; }
.has-green-background-color:hover { background-color: #428E38; }
.has-white-color { color: #fff; }
.wp-block-button a { transition: box-shadow 80ms ease-in-out, -webkit-box-shadow 80ms ease-in-out, transform 80ms ease-in-out;}
.wp-block-button a, .wp-block-button a:hover { box-shadow: -3px 4px 1px rgba(0, 0, 0, 0.5); }
.wp-block-button a:hover {
	color: #fff;
	box-shadow: -2px 3px 1px rgba(0, 0, 0, 0.5);
	transform: translateY(1px);
}
.wp-block-button a:active {
	color: #fff;
	box-shadow: -1px 2px 1px rgba(0, 0, 0, 0.5);
	transform: translateY(2px);
}
/* .wp-block-button a:hover, .wp-block-button a:active { filter: saturate(130%); } */
.wp-block-button a.has-green-background-color:hover, .wp-block-button a.has-green-background-color:active { color: #ffffff; }

.wp-block-image { margin: 0; }
.wp-block-image figure { line-height: 0; }
.wp-block-image .alignleft { margin: 0.25em 1em 0.5em 0; }
.wp-block-image .alignright { margin: 0.25em 0 0.5em 1em; }
.wp-block-image img { height: 10em; max-height: 225px; }

/* Footer */
.site-footer { background-color: #fff; }
footer .widget { padding-bottom: 0; }

/* Font overwrites and typography */

#front-page-title p { -webkit-font-smoothing: antialiased; font-family: 'Open Sans', sans-serif; font-weight: 300; }
h2 { color: #000; }
.entry-title { font: 600 1.6em 'Open Sans', sans-serif; }
.project-info { font-family: 'Open Sans', sans-serif; }
/* #project-details h2 { color: #4e4e4e; font-size: 18px; } */
body { font-family: 'Open Sans', sans-serif; }
#project-details { font-family: 'Nunito Sans', sans-serif; font-size: 16px; }
#project-details .details-header { color: #4e4e4e; font-size: 18px; font-weight: 600; }
#project-details p { margin: 0 0 0.5em; }
#project-details .material-label p { margin: 1em; }
p { font-family: 'Nunito Sans', sans-sans-serif; }

/* Container overwrites */

@media screen and (min-width: 30em), all {

	/* .page-one-column .panel-content .wrap { max-width: 42em; } */
	.wrap { padding-top: 1.5em; }
	/* .single-jetpack-portfolio .wrap { padding-top: 0.5em; } */
	/* body { font-size: 1.125em; } */
	.site-branding { padding: 1em 0; }
}

@media screen and (min-width: 48em)	 {
	.page-one-column .panel-content .wrap { max-width: 40em; }
	.navigation-top { font-size: 1em; }
	.panel-content .wrap { padding-top: 4.5em; padding-bottom: 2em; }
	.site-branding { padding: 1em 0 0 1em; }
	body { font-size: 1.125em; }
	.wrap { max-width: 52.5em; }
	/* .single-jetpack-portfolio #content { font-size: 16px; } */
}
@media screen and (min-width: 66em) {
	body { font-size: 1.25em; }
}

/* @media screen and (min-width: 66em) {
	body { font-size: 1.375em; }
} */

@media screen and (min-width: 90em) {
	body { font-size: 1.5em; }
}

@media screen and (min-width: 114em) {
	body { font-size: 1.75em; }
}

/* Some Gutenberg styles */

p.has-drop-cap:not(:focus):first-letter {
   float:left;
   font-size:4.0em;
   line-height:.68;
   font-weight:100;
   margin:.05em .1em 0 0;
   text-transform:uppercase;
   font-style:normal;
}
